lp:ubuntu/trusty-updates/quassel

Created by Ubuntu Package Importer on 2014-11-17 and last modified on 2015-05-01
Get this branch:
bzr branch lp:ubuntu/trusty-updates/quassel
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

103. By Felix Geyer on 2015-05-01

* SECURITY UPDATE: stack consumption vulnerability in message splitting code
  - debian/patches/CVE-2015-2778.patch: original patch from Michael Marley,
    backported by Steinar H. Gunderson
  - CVE-2015-2778 and CVE-2015-2779
* SECURITY UPDATE: SQL injection vulnerability in PostgreSQL backend
  - debian/patches/CVE-2015-3427.patch: upstream patch
  - CVE-2015-3427
  - original issue was CVE-2013-4422 which had an incomplete fix
  - LP: #1448911

102. By Felix Geyer on 2014-11-04

* SECURITY UPDATE: out-of-bounds read in ECB Blowfish decryption
  - debian/patches/CVE-2014-8483.patch: add upstream patch
  - CVE-2014-8483
  - LP: #1388333

101. By Scott Kitterman on 2014-04-09

Update quasselcore man page to cover all usage options

100. By Jonathan Riddell on 2014-03-25

New upstream release

99. By Jonathan Riddell on 2014-03-16

New upstream RC release

98. By Scott Kitterman on 2014-02-18

* New upstream beta relase
  - Drop debian/patches/upstream_fix_fullscreen_mode.diff which had been
    cherrypicked from upstream

97. By Philip Muškovac on 2013-12-23

Cherry pick upstream commit 47a6910aed00018c7230cc2cc90ae8e80fa77dda
as upstream_fix_fullscreen_mode.diff to fix UI breakage when toggling
fullscreen mode

96. By Luke Faraone on 2013-12-04

Revert addition of conflict relations between quassel-data and
quassel-qt4-data, as the packages are usually installed at the same time
and do not ship common files. (LP: #1257592)

95. By Felix Geyer on 2013-12-02

* Add quasselcore upstart job. Thanks to Michael Marley. (LP: #1244036)
* Restart quasselcore after upgrades.
* Make quassel-data and quassel-qt4-data conflict as they ship common files.

94. By Scott Kitterman on 2013-11-26

* New upstream release
  - Includes fix for cross-user data exposure in the core (LP: #1255362)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/quassel
This branch contains Public information 
Everyone can see this information.

Subscribers